## **Explication de l'installation du VPN :** 
Le processus d'installation s'articule en trois phases distinctes. Tout d'abord, l'installation commence par le playbook **r-vp1**. Ensuite, dans une seconde étape, le playbook r-vp2 est déployé. Enfin, la dernière phase concerne la mise en place de notre filtrage à l'aide de **ferm**.

## **Explication des dossiers pour Wireguard :**

Le dossier wireguard-r = r-vp1
           wireguard-l = r-vp2

# <p align="center">Procédure d'installation </p>

***
## Sur **r-vp1**:

Lancer le playbook : *ansible-playbook -i localhost, -c local* r-vp1.yml sur **r-vp1**

Attendre la fin de l'installation. Ensuite lancer le scipt r-vp1-post.sh

### 🛠️ Lancer le script r-vp1-post.sh
```bash
cd /tools/ansible/gsb2023/Scripts
```
```bash
bash r-vp1-post.sh
```
## Sur **r-vp2**:

Lancer le script r-vp2-post.sh pour récuperer le fichier de configuration et activer l'interface wg0.
### 🛠️ Lancer le script
```bash
cd /tools/ansible/gsb2023/Scripts
```
```bash
bash r-vp2-post.sh
```
## Fin

redemarer les machines
```bash
reboot
```
